slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDSetConvergenceTest

Specifies how to compute the error estimate used in the convergence test.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetConvergenceTest(SVD svd,SVDConv conv)

Logically Collective

### Input Parameters

| svd | - singular value solver context obtained from SVDCreate()
| conv | - the type of convergence test

### Options Database Keys

| -svd_conv_abs | - Sets the absolute convergence test
| -svd_conv_rel | - Sets the convergence test relative to the singular value
| -svd_conv_norm | - Sets the convergence test relative to the matrix norm
| -svd_conv_maxit | - Forces the maximum number of iterations as set by -svd_max_it
| -svd_conv_user | - Selects the user-defined convergence test

### Notes

The parameter 'conv' can have one of these values

| SVD_CONV_ABS | - absolute error ||r||
| SVD_CONV_REL | - error relative to the singular value sigma, ||r||/sigma
| SVD_CONV_NORM | - error relative to the matrix norms, ||r||/||Z||, with Z=A or Z=[A;B]
| SVD_CONV_MAXIT | - no convergence until maximum number of iterations has been reached
| SVD_CONV_USER | - function set by SVDSetConvergenceTestFunction()

The default in standard SVD is SVD_CONV_REL, while in GSVD the default is SVD_CONV_NORM.

### See Also

SVDGetConvergenceTest(), SVDSetConvergenceTestFunction(), SVDSetStoppingTest(), SVDConv

### Level

intermediate

### Location

src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages